WinCss Overview
Copyright

This Help file is the online reference for the Windows interface program WinCss. It provides complete description of all dialog elements and their contents.

To get extended information about the Unix or Windows/NT CSS utilities, functions and configuration tables, please consult the online manual which constitutes an integral part of the documentation.

The online manual is distributed with the server installation only. If missing, all navigation links to it will be silently ignored. You may then however want to download the manual from the Unitec Web site. Please refer to the Online Manual topic for download and installation instructions.

WinCss Features

  • Office Look and Feel
  • Drag and Drop operation
  • Context Menus
  • Report preview with full text search
  • Structured view of the device and report queue data for easy selection
  • Implemented with the widely used Unitec Communication Manager UCM
  • Install and Run, no additional configuration needed

CSS Features

Some of the main features of the CSS and CssNT server packages are:

  • Support for multiple virtual print server environments, allowing service centers to set up a distinct print server for each client or user group
  • Device independent programming
  • Database for printer and forms definitions
  • Form definition utility / laser printer macro administration
  • Easy to operate dialog program for complete user control and report preview
  • Embedded lpr options within the report files
  • Administration of multiple report queues
  • Report-Preview (preview of spool files, search capabilities)
  • Print test (paper adjust)
  • Report management with keep-date
  • Translation tables for characters and strings
  • Real multi-user capabilities
  • Compression of the spool files
  • Remote print support for the lpd, rtel, pros and raw protocols
  • Graphical interface for Windows workstations

Read the About WinCss topic.

Back to top


About WinCss

The CSS package consists of a collection of programs and utilities providing sophisticated control of all printing activities on UNIX or Windows/NT systems.

Functionality and operation of CSS are specially designed to cover the needs of commercial applications.

The WinCss program described in this Help file provides easy control of the UNIX and Windows/NT print management software in the Windows client environment.

Ease of use of this program is unsurpassed. All tasks can be accomplished with your pointing device. You may choose your preferred navigation method among Drag and Drop, context menus, toolbars and double click or standard menu operation.


WinCss Manual Page
Synopsis Description Options Notes See also Files

Synopsis

WinCss [-m] [-h host] [-p port]

Description

With the help of the graphical Windows interface program WinCss, the end user can manage all administrative work of the CSS print environment, such as status queries, form change, priority control and so on. Operation of the program follows the usual Windows standards. Wherever possible, the right mouse button will open a popup menu for the given context. Spooler information is shown in data grids. Several grid cells allow to open a dialog window with a double click of the right mouse button. These fields are referred to as Data Field Buttons throughout the remainder of this document.

Many tasks can be accomplished by Drag And Drop operations. To do this, left click on an object and drag it with the mouse button pressed to the target object. By releasing the mouse button, a dialog window will open depending on context. As an example, you can initiate a form change by dragging a grid row of the Forms window onto a row of the Device window.

The following main windows are available:

Main Control | Main control window (Mini Toolbar) with buttons to open the data windows listed below.
Forms | Lists all forms defined in CSS.
Printers | Lists all printers defined in CSS. Actions include: stop printer, cancel printout, start printer, change mounted form.
Report Queue | Lists all the reports currently available in the queue. Actions include: change printout priority, hold, release, route, stop, view and delete.

The language of the WinCss dialogue may be selected in the menu View | Language. Other presentation objects like menu, status line and tool tips may also be turned on and off in the View menu. If the menu itself has been turned off, it can be reactivated by pressing the right mouse button over the toolbar.

Options

The following command line options are recognized by WinCss:

-h host | WinCss connects to the CSS server on the system with the IP address host.
-m | Normally WinCss starts up by directly jumping to the Report window. With the m-option you can open the Main Control window with the mini toolbar.
-p port | Defines the TCP/IP port number to be used. The default value is 6801, or the value entered in the program options. See also WinCss(C) and CssWs(U) in the Css online manual.

Notes

The slash '/ ' may be used as an alternate option character.

The Device windows indicates the following status information:
Printer Status | Description
ready | Idle, currently nothing to print
start | A printout is starting up
active | Printing a report
busy | The printer is currently in use by another software product with integrated spooler. (See also el-parameter in css.devices(C) in the online manual)
stop | Currently printing, the printer will be stopped after the current printout.
routed to dev | All output to the printer will be routed to the device dev.
off line | The printer is turned off. This condition can only be detected on certain interfaces.
inactive | The printer is stopped.

In the Report Preview window you may compress series of consecutive empty lines into one blank line.

When a grid row is selected with a left mouse click, its background color changes to a light yellow. Such selected items will be referred to as the current object in the remainder of this document (e.g. current report).

See also

Client Configuration, Connection Options, General Options

Files

Windows Registry WinCss configuration at
HKEY_LOCAL_MACHINE\SOFTWARE\Unitec\WinCss


Main Control

WinCss Unitec Home Page

X
X

Main Control (Mini Toolbar)
The Main Control window is your WinCss control center for limited screen real estate.

Toolbar Buttons
 Popup Menus
Toolbar Buttons
Button | Name | Description
 | Report Queue | In the Report Queue window, you can administer the reports currently available.
 | Printers | The Printer window lets you administer all devices defined in the CSS system.
 | Forms | This window lists all Forms known in the CSS system.
 | Options | Allows to set various program options.
 | Help | Starts Help at the Main Control section.
 | Exit | This button stops WinCss and closes all windows.
Popup Menus
Clicking the right mouse button in specific areas, opens a popup menu depending on context:
Area | Menu
Toolbar | Menu and toolbar on/off toggles.

See also General Options, Operation, WinCss Command | Back to Top


Report Queue
The Report Queue window lets you easily perform all report related tasks.

Toolbar Buttons
 Data Grid Contents
 Data Cell Actions
 Drag and Drop
 Popup Menus
Toolbar Buttons
Button | Name | Description
 | Printers | The Printer window lets you administer all devices defined in the system. This button is not visible, if the program has been started with the m-option.
 | Forms | This window lists all Forms known in the system. This button is not visible, if the program has been started with the m-option.
 | User selection | View own / all reports.
 | Outline view | Outline view mode allows grouping of the data by any criteria.
 | Release | Releases the current report for printout.
 | Print | Same as 'Release', but without initial dialog to fine-tune the print options.
 | Hold | Holds or stops the printout of the current report.
 | Accelerate | Puts the report to the top of the form queue. Note: reports can only be accelerated relative to the other reports owned by yourself.
 | No. of Copies | Starts a dialog to change the number of copies.
 | Route | Starts a dialog to route the report to another printer.
 | View | Shows the contents of the report in a separate window. This function is available in the 32 bit version only.
 | Delete | Deletes the current report from the queue.
 | Help | Starts Help at the Report Queue section.
 | Close | Closes the current window.
Data Grid Contents

Title | Cell Contents
No. | Report identification number. A red number indicates, that no access permission exists for this report.
Print Job | Report description, if supplied by the application program.
Frm | The form required to print the report.
Status | Report state such as ready, printing, on hold, etc.
PNr | Printer to which the report will be sent.
Pages | Number of pages in the document.
Copies | Number of copies to print.
Date | Report creation date.
Time | Report creation time.
UID | ID of the user that created the report.
Data Cell Actions
To initiate an action, double click in the following grid cells:
Data Field | Action
No., Print Job | Shows the contents of the report in a separate window.
PNo | Starts a dialog to route the report to another printer.
Status | Depending on the report state, the corresponding dialog (Release Report, Start Printer, Stop Printout) is started.
Copies | Starts a dialog to change the number of copies.
Drag and Drop

Drag Object | Drop Object | Action
Printer | Report | Depending on printer and report state, the corresponding dialog (Start Printer, Release Report, Route Report, Form Change) is started.
Report | Printer | As above.
Popup Menus
Clicking the right mouse button in specific areas, opens popup a menu depending on context:
Area | Menu
Toolbar | Menu and toolbar on/off toggles.
Grid Row | Opens a menu with selections equivalent to the toolbar.
Column Headers | Show or hide data columns.

See also Operation, Report Preview


Printers
The Printers window lets you easily perform all printer related tasks.

Toolbar Buttons
 Data Grid Contents
 Data Cell Actions
 Drag and Drop
 Popup Menus
Toolbar Buttons
Button | Name | Description
 | Outline view | Outline view mode allows grouping of the data by any criteria.
 | Form change | Starts the Form Change dialog for the current printer.
 | Enable | Activates the current printer.
 | Disable | Stops the current printer and/or puts it into hold state.
 | Route printer | Routes the output of current printer to another device.
 | Reset routing | Resets routing of the current printer.
 | Help | Starts Help at the Printers section.
 | Close | Closes the current window.
Data Grid Contents

Title | Cell Contents
No. | Printer identification. A red number indicates, that at current time no access permission exists for this printer.
Name | Printer description.
Frm | The form currently mounted on the printer. Reports can only be printed, if a printer has the correct paper inserted and a Form Change has been carried out.
Status | Printer state such as ready, active, on hold, etc.
Report | On active printers, this cell shows the description of the current print job.
Page/of | Currently printing page / total no. of pages.
Copy/of | Currently printing copy / total no. of copies.
ID | ID of the user that created the currently printing report.
Data Cell Actions
To initiate an action, double click in the following grid cells:
Data Field | Action
Frm | Starts the Form Change dialog.
Status | Depending on printer state, the corresponding dialog (Start Printer, Stop Printer) is started.
Drag and Drop

Drag Object | Drop Object | Action
Form | Printer | Starts the Form Change dialog.
Printer | Report | Depending on printer and report state, the corresponding dialog (Start Printer, Release Report, Route Report, Form Change) is started.
Report | Printer | As above.
Popup Menus
Clicking the right mouse button in specific areas, opens a popup menu depending on context:
Area | Menu
Toolbar | Menu and toolbar on/off toggles.
Grid Row | Opens a menu with selections equivalent to the toolbar.
Column Headers | Show or hide data columns.

See also Forms, Operation, Report Queue


Forms
The Forms window lets you easily mount a form to a printer with drag and drop.

Toolbar Buttons
 Data Grid Contents
 Drag and Drop
 Popup Menus

Toolbar Buttons
Button | Name | Description
 | Help | Starts Help at the Forms section.
 | Close | Closes the current window.
Data Grid Contents

Title | Cell Contents
ID | Form identifier
Name | Form name
Drag and Drop

Drag Object | Drop Object | Action
Form | Printer | Starts the Form Change dialog.
Report | Printer | As above.
Popup Menus
Clicking the right mouse button in specific areas, opens a popup menu depending on context:
Area | Menu
Toolbar | Menu and toolbar on/off toggles.
Column Headers | Show or hide data columns.

See also Operation, Printers, Report Queue


Report View
The Report View window lets you inspect reports before they are printed.

Toolbar Buttons
 Popup Menus
Toolbar Buttons
Button | Name | Description
 | First page | Show first page of report.
 | Page backwards | Show previous page.
 | Page forward | Show next page.
 | Last page | Show last page of report.
 | Go to page... | Go to page.
 | Search backwards | Search again backwards.
 | Search | Text search.
 | Repeat search | Search again forwards.
 | Copy | Copy selected text to the clipboard.
 | Increase font | Increase font size.
 | Decrease font | Decrease font size.
 | Compress | Compress consecutive empty lines into one blank line.
 | Help | Starts Help at the Report View section.
 | Close | Closes the current window.
Popup Menus
Clicking the right mouse button in specific areas, opens a popup menu depending on context:
Area | Menu
Toolbar | Menu and toolbar on/off toggles.
View | Opens a menu with selections equivalent to the toolbar.

See also Operation, Report Queue


Operation
Operation of WinCss follows the well known standard of most Windows programs. One exception is in the method of sorting of data tables.

As a reminder, the following sections list the most common actions:

Popup Menus
Sorting
Selection
Popup Menus
Popup menus are activated by a right mouse click. The content of such menus is depending on context, i.e. the area, in which the mouse pointer is positioned.
Sorting
In contrast to other Windows programs (e.g. the Explorer), WinCss allows to sort data tables by multiple columns. A left mouse click in the column header area changes the sort setting. Three different states are available:
Symbol | Sort Setting
 | No special sort.
 | Ascending sort, i.e. the lowest value first, the highest value last.
 | Descending sort, i.e. the highest value first, the lowest value last.

In multicolumn sorts, column priority is from left (highest) to right (lowest). You may change the priority by rearranging the columns with click and drag.

Hint: All sort settings may be reset through the popup menu invoked with a right mouse click on the column header area.

Selection of multiple elements
Selection of multiple data rows is done with the left mouse button:
Method | Selection
Drag | Dragging with the mouse button pressed selects multiple consecutive data rows.
Shift | Holding down the Shift key while clicking the left mouse button, selects all data rows between the current position of the mouse pointer and the click position.
Ctrl | Holding down the Ctrl key while clicking the left mouse button, adds the clicked row to the selection. A second click removes the row from the selection.

Hint: The popup menu invoked with a right mouse click on an outline node, lets you select all elements of the node.


WinCss Options - General
The General tab of the Options window lets you customize general features of WinCss.

General Options
General Options
Option | Description
Startup with Mini Toolbar window | If this option is set, WinCss will startup with the Mini Toolbar window (see Main Control).
Single Click Actions | Checking this option causes data field actions to be started at a single mouse button click instead of the default double click.
Show field buttons | Checking this option causes a small button to be displayed in each data field that has an action associated to it.
Mouse Snap | Checking this option causes the mouse pointer to jump to the default button whenever a form opens.
Confirm Delete | Unchecking this option will cause immediate report deletion, without the normal confirmation dialog window. Use at your own risk.

See also Color Options, Connection Options


WinCss Options - Colors
The Colors tab of the Options window lets you customize the grid colors of WinCss.

Color Options
Color Options
Option | Description
Default | Select the default WinCss color for the selected topic
Normal | Switch to the normal color palette
System | Switch to the system color palette
More colors | Open the extended color window to choose additional colors or to define a custom color palette

Hint: To get ToolTip information about the various system colors, keep the mouse pointer approximately one second on a color button.

See also General Options, Connection Options


WinCss Options - Connection
The Connection tab of the Options window lets you customize connection related settings of WinCss.

Connection Options
Connection Options
Option | Description
IP Address | The IP address of the CSS server system.
Port Number | The TCP/IP port providing the CSS interface services. For a description of IP addresses and ports see the next section.
Select Host at Startup | Checking this option will let the user to select the CSS server IP address at WinCss startup time.
Convert login name for CSS server to lowercase | This option may be set to avoid letter case conflicts between Windows and Unix login names.

Please note, that these settings are stored in the Windows registry when the program terminates and will take effect when you run WinCss the next time.

See also General Options, Color Options, Client Configuration


WinCss Client Configuration

The installation process of WinCss follows the common Windows standards. The first time the new program is started, it will prompt for the IP address of the CSS print server and the TCP/IP port number with the default value of 6801. If this port number is already used in your network, the network administrator has to assign another number which has to be entered here. Additional manual configurations have to be done in this very unlike situation.

TCP/IP Ports and Services
 Additional CSS Client Configuration
 Running WinCss / Troubleshooting
TCP/IP Ports and Services

To establish a TCP/IP Client-Server connection, the client (WinCss) must know the IP address of the system providing the server functionality. In addition, each connection type (e.g. cssws to WinCss) is identified through a unique port number. The TCP/IP services file defines symbolic names for most of the ports used in a network environment. Using these symbolic service names requires the services file to be present on each network nodes, i.e. on the host and on all client systems. On Unix systems, the file is located in the /etc directory. On Windows systems the location varies depending on OS type and version. Each line in the services file holds the service name, a port number and a port type (for CSS the type should always be tcp). To avoid conflicts with standard TCP/IP ports, these numbers should have values > 5000 assigned by convention. Unitec products use port numbers in the range from 6800 to 6999.

Since in heterogeneous environments the administration of the services files requires considerable work, there has recently emerged the trend to define so called well known ports for each connection type. For the WinCss connection the port 6801 has been defined as the default. To avoid conflicts with other software packages another port number may be assigned during setup of WinCss. This value is then stored string variable CssPort located in the Windows registry under

HKEY_LOCAL_MACHINE\SOFTWARE\Unitec\WinCss\CurrentVersion

For all CSS servers (Unix and Windows NT) the port number is defined in the WINCSS_PORT parameter of the configuration file css.default.

In addition, the programs cssws and WinCss allow to specify TCP/IP configuration settings as command line arguments. Example:

cssws -p 7001 | the Unix WinCss server should use port number 7001 to provide its services
WinCss -h 128.41.1.1 -p 7001 | the WinCss client connects itself with the CSS server located on the host with the IP address 128.41.1.1 using the port number 7001

For server configuration refer to the Unix and Windows/NT Server Configuration topics and the CSS online manual.
Additional CSS Client Configuration

The WinCss program is designed to operate in two different modes. In standard operation, the tool buttons of the small toolbar window are added to the Report Queue window which then acts as the main window. You may however choose to use the small toolbar window as main window. The command line flag -m or /m can be used to turn tool window mode on. This flag can be preset after each installation in the properties of the WinCss.exe icon in the WinCss program folder.

In addition, the -h or /h option may be used to specify the IP address of the server and -p or /p to use a specific port number. This feature makes it possible to connect to several different CSS servers concurrently.
Running WinCss / Troubleshooting

Make sure that you have followed the steps described above and that the setup.exe program has completed without any errors. You are now ready to start WinCss. If the program fails to start or an error message is shown, please double check your TCP/IP system files. After you have done the necessary corrections, you will have to shut down the Unitec Communication Manager Ucm.exe. This process has been started automatically and is running invisible on your system. To stop it, type Ctrl-Alt-U and you will see its icon on the Windows task bar. Click the right mouse button on the icon and select Close in the pop up menu. If a warning window is shown, select the Close button and ignore the warning. You may now retry to run WinCss.

The utility CssVerCk.exe may be used to resolve version conflicts with installed Windows components.

See also Connection Options, General Options


Unix CSS Server Configuration

WinCss Unitec Home Page

Unix Server Configuration

The installation process of Unix CSS requires some system administrator knowledge. The following sections may give you some useful information.

TCP/IP Ports and Services
 Running the Server Process
TCP/IP Ports and Services

For all CSS servers (Unix and Windows NT) the default WinCss TCP/IP port number 6801 may be redefined in the WINCSS_PORT parameter of the configuration file css.default.

In addition, the programs cssws(U) and WinCss allow to specify TCP/IP configuration settings as command line arguments.
Running the Server Process

As with any server process, the program /usr/lib/css/cssws has to be spawned at system startup. Several system services (e.g. /etc/rc(4) or /etc/inittab(4)) allow to configure automatic server invocation.

/etc/rc:

/usr/lib/css/cssws 2>/dev/null 1>&2

Unix System V only:

The same service can be established on System V by inserting the following line in /etc/inittab(4):

cssws:1:respawn:/usr/lib/css/cssws 2>/dev/null 1>&2

Internet Super Server (inetd):

Since the Internet Super Server inetd(1) requires to use symbolic service names, you must first edit your /etc/services file and add the line:

cssws 6801/tcp # WinCss server

Then edit your /etc/inetd.conf file and add the lines:

# CSS Service
cssws stream tcp nowait root /usr/lib/css/cssws -i

The inetd(1) process reads configuration file /etc/inetd.conf at startup to initialize itself. This will make the cssws services available for connections through WinCss.exe on the Windows client.

Unless started by the init(1) program, cssws(U) will detach automatically from the calling process.

Note:

The WinCss software needs to be registered and serialized with the Unitec License Manager ulm(I) program.

See also Client Configuration, Connection Options


Windows/NT CSS Server Configuration

The WinCss services are provided from the program CssNTSrv. This program is installed as NT service by Setup and will be started automatically at system startup.

For all CSS servers (Unix and Windows NT) the default WinCss TCP/IP port number 6801 may be redefined in the WINCSS_PORT parameter of the configuration file css.default.

In addition, the programs cssws(U) and WinCss allow to specify TCP/IP configuration settings as command line arguments.

Note:

The WinCss software needs to be registered and serialized with the Unitec License Manager ulm(I) program.

See also Client Configuration, Connection Options


About Us

WinCss Unitec Home Page

X
X

About Unitec

Unitec Informatik is a small Swiss software company specialized in Unix and Windows system tools and consulting. Unitec was founded in 1980.

Our major products include CSS a Commercial Spooling System for Unix or Windows/NT and UCM the Unitec Communication Manager for Client-Server communication in heterogeneous network environments.

We are proud to be rated the #1 source for print management software and communication technology by our customers.

Unitec software is known to have excellent quality. Our support line hardly ever rings, and we want to keep it that way.


Technical Support

This help file and the online manual represent our best effort to provide complete and accurate information about the WinCss software.

If you have a question, please begin by consulting the on-line reference material.

If your question cannot be answered, you can contact tech support by E-mail at support@unitec.ch. Since we are not organized to provide continuous voice support, E-mail is by far your best option to get fast help for your problem.


How to Reach Unitec

Postal address: | Unitec Informatik Im Lot 10 CH-8610 Uster, Switzerland
Phone: | +41 1 994 3401
Fax: | +41 1 994 4302
Home Page: | http://www.unitec.ch
E-Mail: | info@unitec.ch
Sales: | sales@unitec.ch
Support: | support@unitec.ch

For information about international representatives, please visit our Web site.


Unitec Products

CSS Commercial Spooling System

Our highly accepted Unix and Windows/NT spooler, especially designed for commercial applications, is used by more than 25000 users around the globe.

WinCss

The graphical user interface for Unix CSS and CssNT.

UCM Unitec Communication Manager

The easiest and most sophisticated way to implement client-server applications in heterogeneous network environments or to manage local inter process communication.

To get the latest information about all Unitec state of the art products, please visit our Web site at www.unitec.ch.


CSS Online Manual

The CSS online manual referenced throughout this help system is not contained in all distribution packages.

You can however browse it online in the support area or get a local copy from the download area of our Web site at www.unitec.ch. Several different formats are available.


Copyright

WinCss Unitec Home Page

Copyright / Trademarks

WinCss CSS Windows Interface

Copyright © 1996-2002 by Unitec Informatik. All rights reserved.

Information in this document is subject to change without notice and does not represent a commitment on the part of Unitec Informatik. The software described in this document is furnished under a license agreement or nondisclosure agreement. The software may be used or copied only in accordance with the terms of the agreement. It is against the law to copy the software on any medium except as specifically allowed in the license or nondisclosure agreement.

Warning: Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under law.

Unitec Informatik
Im Lot 10
CH-8610 Uster

Switzerland

Unix is a registered trademark of AT&T Bell Labs Incorporated.
Unitec is a registered trademark of Unitec Informatik, Switzerland.
Windows and Windows NT are registered trademarks of Microsoft Corporation

Back to top

Copyright Notice